package com.hyp.recordservice.record.controller;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("record")
public class RecordController {
    private final static JSONArray allEvent = new JSONArray();

    @RequestMapping("push")
    public void push(@RequestBody String body){
        log.info("收到事件：{}",body);
        JSONObject request = JSONObject.parse(body);

        allEvent.addAll(request.getJSONArray("events"));
    }

    @RequestMapping("get")
    public JSONArray get(){
        return allEvent;
    }
}
