const canvas = document.getElementById('myCanvas');//1.获取画布
const ctx = canvas.getContext('2d');//2.获取上下文



//按下标记
let isOnOff = false;
let oldX = null;
let oldY = null;

//设置画笔颜色
let lineColor = '#000';  //默认线条颜色为黑色

//设置画笔线宽
let lineWidth = 5;

//添加鼠标移动事件
canvas.addEventListener('mousemove', draw, false);
//添加鼠标按下事件
canvas.addEventListener('mousedown', down, true);
//添加鼠标按下事件
canvas.addEventListener('mouseup', up, false);

function down(event) {
    isOnOff = true;
    oldX = event.offsetX;
    oldY = event.offsetY;
}

function up() {
    isOnOff = false;
}

function draw(event) {
    if (isOnOff === true) {
        console.log(event)
        let newX = event.offsetX;
        let newY = event.offsetY;

        ctx.beginPath();
        ctx.moveTo(oldX, oldY);
        ctx.lineTo(newX, newY);
        ctx.strokeStyle = lineColor;
        ctx.lineWidth = lineWidth;
        ctx.lineCap = 'round';
        ctx.stroke();

        oldX = newX;
        oldY = newY;
    }
}
