package com.hyp.recordservice.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class AppStart implements ApplicationRunner {
    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("请先打开播放地址");
        log.info("播放地址：http://127.0.0.1:8080/play-demo/play.html");
        log.info("采集地址：http://127.0.0.1:8080/record-demo/record.html");
    }
}
